// Machine generated IDispatch driver class(es) created with ClassWizard.

/////////////////////////////////////////////////////////////////////////////
// Application wrapper class

class Application : public COleDispatchDriver
{
// Attributes
public:
	LPDISPATCH GetActiveChart();
	void SetActiveChart(LPDISPATCH);
	LPDISPATCH GetApplication();
	void SetApplication(LPDISPATCH);
	long GetBottom();
	void SetBottom(long);
	CString GetCaption();
	void SetCaption(const char*);
	LPDISPATCH GetCharts();
	void SetCharts(LPDISPATCH);
	CString GetDefaultFilePath();
	void SetDefaultFilePath(const char*);
	BOOL GetFieldViewerVisible();
	void SetFieldViewerVisible(BOOL);
	long GetFieldViewerWindowHandle();
	void SetFieldViewerWindowHandle(long);
	CString GetFullName();
	void SetFullName(const char*);
	long GetHeight();
	void SetHeight(long);
	BOOL GetHourglass();
	void SetHourglass(BOOL);
	BOOL GetIndexVisible();
	void SetIndexVisible(BOOL);
	long GetIndexWindowHandle();
	void SetIndexWindowHandle(long);
	long GetLeft();
	void SetLeft(long);
	CString GetName();
	void SetName(const char*);
	BOOL GetNoteViewerVisible();
	void SetNoteViewerVisible(BOOL);
	long GetNoteViewerWindowHandle();
	void SetNoteViewerWindowHandle(long);
	CString GetOperatingSystem();
	void SetOperatingSystem(const char*);
	LPDISPATCH GetParent();
	void SetParent(LPDISPATCH);
	CString GetPath();
	void SetPath(const char*);
	short GetPercentGaugeValue();
	void SetPercentGaugeValue(short);
	LPDISPATCH GetPreferences();
	void SetPreferences(LPDISPATCH);
	CString GetPrinter();
	void SetPrinter(const char*);
	long GetRight();
	void SetRight(long);
	BOOL GetShapePaletteVisible();
	void SetShapePaletteVisible(BOOL);
	long GetShapePaletteWindowHandle();
	void SetShapePaletteWindowHandle(long);
	CString GetStatusBar();
	void SetStatusBar(const char*);
	long GetTop();
	void SetTop(long);
	BOOL GetUndoAvailable();
	void SetUndoAvailable(BOOL);
	CString GetVersion();
	void SetVersion(const char*);
	BOOL GetVisible();
	void SetVisible(BOOL);
	long GetWidth();
	void SetWidth(long);
	long GetWindowHandle();
	void SetWindowHandle(long);
	long GetWhite();
	void SetWhite(long);
	long GetBlack();
	void SetBlack(long);
	long GetRed();
	void SetRed(long);
	long GetGreen();
	void SetGreen(long);
	long GetBlue();
	void SetBlue(long);
	long GetYellow();
	void SetYellow(long);
	long GetMagenta();
	void SetMagenta(long);
	long GetCyan();
	void SetCyan(long);
	long GetGray();
	void SetGray(long);
	long GetDk_red();
	void SetDk_red(long);
	long GetDk_green();
	void SetDk_green(long);
	long GetDk_blue();
	void SetDk_blue(long);
	long GetDk_yellow();
	void SetDk_yellow(long);
	long GetDk_magenta();
	void SetDk_magenta(long);
	long GetDk_cyan();
	void SetDk_cyan(long);
	long GetDk_gray();
	void SetDk_gray(long);
	BOOL GetStatusBarVisible();
	void SetStatusBarVisible(BOOL);
	BOOL GetZoomWindowVisible();
	void SetZoomWindowVisible(BOOL);

// Operations
public:
	void Activate();
	void ArrangeIcons();
	long BasicColor(short Color);
	void CascadeCharts();
	void ChartTypeShutdown(const char* ChartType, const char* ApplicationName);
	void CloseAll();
	BOOL CreateAddOn(short Position, const char* HintName, const char* ProgramFileName, const VARIANT& IconFileName);
	LPDISPATCH AddMenu(const char* MenuName, LPDISPATCH VBXDispatch, const char* ProgramName, const VARIANT& ChartType);
	void Help(const VARIANT& HelpFileName, const VARIANT& HelpContext);
	void HidePercentGauge();
	void Hint(const char* HintText);
	long MakeRGB(short Red, short Green, short Blue);
	void Maximize();
	void Minimize();
	long MsgBox(const char* MessageText, const VARIANT& BoxType, const VARIANT& BoxTitle);
	LPDISPATCH New();
	LPDISPATCH NewFromTemplate(const char* TemplateName);
	LPDISPATCH Open(const char* PathName, const VARIANT& AsReadOnly);
	void PercentGauge(const VARIANT& TitleBar, const VARIANT& TextLine1, const VARIANT& TextLine2);
	BOOL PercentGaugeCancelled();
	void Quit();
	BOOL RegisterEvent(LPDISPATCH VBXDispatch, const char* ProgramName, const char* EventName, const VARIANT& ChartType);
	BOOL RemoveAddOn(const VARIANT& Key);
	void RemoveMenu(const char* MenuName);
	void Restore();
	void TileCharts();
	BOOL Undo();
	BOOL UnRegisterEvent(LPDISPATCH VBXDispatch, const VARIANT& EventName, const VARIANT& ChartType);
	BOOL _UnRegAll(LPDISPATCH VBXDispatch);
};

/////////////////////////////////////////////////////////////////////////////
// Charts wrapper class

class Charts : public COleDispatchDriver
{
// Attributes
public:
	LPDISPATCH GetApplication();
	void SetApplication(LPDISPATCH);
	long GetCount();
	void SetCount(long);
	LPDISPATCH GetParent();
	void SetParent(LPDISPATCH);

// Operations
public:
	LPDISPATCH Add();
	LPDISPATCH AddFromTemplate(const char* TemplateName);
	void CloseAll();
	LPDISPATCH Item(const VARIANT& PathName);
	LPDISPATCH Open(const char* PathName, const VARIANT& AsReadOnly);
};

/////////////////////////////////////////////////////////////////////////////
// Chart wrapper class

class Chart : public COleDispatchDriver
{
// Attributes
public:
	LPDISPATCH GetApplication();
	void SetApplication(LPDISPATCH);
	short GetCurrentLineRouting();
	void SetCurrentLineRouting(short);
	CString GetCurrentShape();
	void SetCurrentShape(const char*);
	CString GetCurrentShapePalette();
	void SetCurrentShapePalette(const char*);
	short GetDrawDirection();
	void SetDrawDirection(short);
	double GetDrawPositionX();
	void SetDrawPositionX(double);
	double GetDrawPositionY();
	void SetDrawPositionY(double);
	double GetDrawSpacingX();
	void SetDrawSpacingX(double);
	double GetDrawSpacingY();
	void SetDrawSpacingY(double);
	LPDISPATCH GetFieldFont();
	void SetFieldFont(LPDISPATCH);
	BOOL GetFieldNamesHidden();
	void SetFieldNamesHidden(BOOL);
	short GetFieldPlacement();
	void SetFieldPlacement(short);
	short GetFieldsDaysPerWeek();
	void SetFieldsDaysPerWeek(short);
	short GetFieldsHoursPerDay();
	void SetFieldsHoursPerDay(short);
	BOOL GetFieldsOpaque();
	void SetFieldsOpaque(BOOL);
	LPDISPATCH GetFieldTemplates();
	void SetFieldTemplates(LPDISPATCH);
	CString GetFullName();
	void SetFullName(const char*);
	BOOL GetGuidelinesOn();
	void SetGuidelinesOn(BOOL);
	BOOL GetHasDiskFile();
	void SetHasDiskFile(BOOL);
	CString GetLaunchIndicator();
	void SetLaunchIndicator(const char*);
	BOOL GetLaunchShadow();
	void SetLaunchShadow(BOOL);
	short GetLineCrossoverSize();
	void SetLineCrossoverSize(short);
	short GetLineCrossoverStyle();
	void SetLineCrossoverStyle(short);
	CString GetLinkIndicator();
	void SetLinkIndicator(const char*);
	BOOL GetLinkShadow();
	void SetLinkShadow(BOOL);
	LPDISPATCH GetMasterItems();
	void SetMasterItems(LPDISPATCH);
	CString GetName();
	void SetName(const char*);
	CString GetNextNumber();
	void SetNextNumber(const char*);
	double GetNextShapeHeight();
	void SetNextShapeHeight(double);
	double GetNextShapeWidth();
	void SetNextShapeWidth(double);
	BOOL GetNoRepaint();
	void SetNoRepaint(BOOL);
	CString GetNoteIndicator();
	void SetNoteIndicator(const char*);
	BOOL GetNoteShadow();
	void SetNoteShadow(BOOL);
	LPDISPATCH GetObjects();
	void SetObjects(LPDISPATCH);
	LPDISPATCH GetNumberFont();
	void SetNumberFont(LPDISPATCH);
	short GetPageCount();
	void SetPageCount(short);
	LPDISPATCH GetPageLayout();
	void SetPageLayout(LPDISPATCH);
	LPDISPATCH GetParent();
	void SetParent(LPDISPATCH);
	BOOL GetProtected();
	void SetProtected(BOOL);
	BOOL GetReadOnly();
	void SetReadOnly(BOOL);
	BOOL GetSaved();
	void SetSaved(BOOL);
	double GetScrollLeft();
	void SetScrollLeft(double);
	double GetScrollTop();
	void SetScrollTop(double);
	long GetSelectedLineCount();
	void SetSelectedLineCount(long);
	long GetSelectedObjectCount();
	void SetSelectedObjectCount(long);
	long GetSelectedOtherCount();
	void SetSelectedOtherCount(long);
	long GetSelectedShapeCount();
	void SetSelectedShapeCount(long);
	BOOL GetShowLegend();
	void SetShowLegend(BOOL);
	BOOL GetShowNodesOnLines();
	void SetShowNodesOnLines(BOOL);
	CString GetType();
	void SetType(const char*);
	BOOL GetTypeRequiresEXE();
	void SetTypeRequiresEXE(BOOL);
	BOOL GetTypeUsesEXE();
	void SetTypeUsesEXE(BOOL);
	short GetUnits();
	void SetUnits(short);
	BOOL GetValid();
	void SetValid(BOOL);
	short GetView();
	void SetView(short);
	long GetWindowHandle();
	void SetWindowHandle(long);
	short GetZoomPercentage();
	void SetZoomPercentage(short);

// Operations
public:
	void Activate();
	void AddHorizontalGuideline(double Position);
	void AddVerticalGuideline(double Position);
	void CancelFullScreen();
	void ClearGuidelines();
	BOOL Clear();
	BOOL ClipboardFormatAvailable(short Format);
	void CloseChart();
	BOOL Copy();
	BOOL Cut();
	void DeselectAll();
	LPDISPATCH DrawFreeLine(double HorizontalLocation, double VerticalLocation);
	LPDISPATCH DrawLine(LPDISPATCH ShapeObject1, LPDISPATCH ShapeObject2, const VARIANT& ExitDirection, const VARIANT& EnterDirection);
	LPDISPATCH DrawLineToOneObject(LPDISPATCH ShapeObject, const VARIANT& EnterDirection);
	LPDISPATCH DrawShape(const VARIANT& ShapeName);
	LPDISPATCH DrawTextBlock(const char* TextString);
	BOOL Duplicate();
	BOOL FullScreen();
	LPDISPATCH GroupAndLink(const VARIANT& NewChartName, const VARIANT& FieldsLinked);
	LPDISPATCH InsertObjectFromFile(const char* Filename, const VARIANT& AsIcon, const VARIANT& AsLink);
	void Maximize();
	void Minimize();
	BOOL Paste(double HorizontalLocation, double VerticalLocation);
	BOOL PasteLink(double HorizontalLocation, double VerticalLocation);
	BOOL PasteSpecial(short Format, const VARIANT& AsIcon, double HorizontalLocation, double VerticalLocation);
	BOOL PrintOut(const VARIANT& FromPage, const VARIANT& ToPage, const VARIANT& Copies, const VARIANT& FitToPage, const VARIANT& PrintNotes);
	BOOL PrintSelected(const VARIANT& Copies, const VARIANT& FitToPage, const VARIANT& PrintNotes);
	void Repaint();
	void Restore();
	void RevertToSaved();
	BOOL Save(const VARIANT& Path, const VARIANT& FileType);
	void ScrollPage(short PageNumber);
	void Select(short Value);
	void SelectShapeType(const char* ShapeName);
	BOOL SendMail();
	void SetDefaults(LPDISPATCH DefaultObject);
	void SetProtection(BOOL Protect, const char* Password);
	void Spelling();
	void ToBack();
	void ToFront();
	void UpdateFields();
	void PrintPreview();
	long ReplaceText(const char* FindText, const char* ReplacementText, const VARIANT& MatchCase, const VARIANT& WholeWord);
	BOOL Export(const char* Filename);
	BOOL SpaceEvenly(short Direction);
	BOOL MakeSameSize(short AccordingTo);
	BOOL Align(short By);
	BOOL Clear_();
	LPDISPATCH ImportShape(const char* Filename);
	void ScrollPosition(double LeftDistance, double TopDistance);
};

/////////////////////////////////////////////////////////////////////////////
// FieldTemplates wrapper class

class FieldTemplates : public COleDispatchDriver
{
// Attributes
public:
	LPDISPATCH GetApplication();
	void SetApplication(LPDISPATCH);
	long GetCount();
	void SetCount(long);
	LPDISPATCH GetParent();
	void SetParent(LPDISPATCH);

// Operations
public:
	LPDISPATCH Add(const char* FieldName, const VARIANT& FieldType);
	void DeleteField(LPDISPATCH FieldTemplateObject);
	LPDISPATCH Item(const VARIANT& CountOrFieldName, const VARIANT& FieldType);
};

/////////////////////////////////////////////////////////////////////////////
// FieldTemplate wrapper class

class FieldTemplate : public COleDispatchDriver
{
// Attributes
public:
	double GetAccumulation();
	void SetAccumulation(double);
	short GetAccumulationMethod();
	void SetAccumulationMethod(short);
	LPDISPATCH GetApplication();
	void SetApplication(LPDISPATCH);
	LPDISPATCH GetParent();
	void SetParent(LPDISPATCH);
	short GetFormat();
	void SetFormat(short);
	BOOL GetHidden();
	void SetHidden(BOOL);
	CString GetName();
	void SetName(const char*);
	short GetType();
	void SetType(short);

// Operations
public:
};

/////////////////////////////////////////////////////////////////////////////
// FieldValues wrapper class

class FieldValues : public COleDispatchDriver
{
// Attributes
public:
	LPDISPATCH GetApplication();
	void SetApplication(LPDISPATCH);
	long GetCount();
	void SetCount(long);
	LPDISPATCH GetParent();
	void SetParent(LPDISPATCH);

// Operations
public:
	LPDISPATCH Item(const VARIANT& CountOrFileName, const VARIANT& FieldType);
};

/////////////////////////////////////////////////////////////////////////////
// FieldValue wrapper class

class FieldValue : public COleDispatchDriver
{
// Attributes
public:
	LPDISPATCH GetApplication();
	void SetApplication(LPDISPATCH);
	LPDISPATCH GetParent();
	void SetParent(LPDISPATCH);
	short GetDay();
	void SetDay(short);
	LPDISPATCH GetFieldTemplate();
	void SetFieldTemplate(LPDISPATCH);
	CString GetFormattedValue();
	void SetFormattedValue(const char*);
	BOOL GetIsEmpty();
	void SetIsEmpty(BOOL);
	short GetMonth();
	void SetMonth(short);
	CString GetName();
	void SetName(const char*);
	short GetType();
	void SetType(short);
	VARIANT GetValue();
	void SetValue(const VARIANT&);
	short GetYear();
	void SetYear(short);

// Operations
public:
	void Empty();
};

/////////////////////////////////////////////////////////////////////////////
// FontObject wrapper class

class FontObject : public COleDispatchDriver
{
// Attributes
public:
	LPDISPATCH GetApplication();
	void SetApplication(LPDISPATCH);
	BOOL GetBold();
	void SetBold(BOOL);
	long GetColor();
	void SetColor(long);
	BOOL GetItalic();
	void SetItalic(BOOL);
	CString GetName();
	void SetName(const char*);
	BOOL GetOpaque();
	void SetOpaque(BOOL);
	LPDISPATCH GetParent();
	void SetParent(LPDISPATCH);
	double GetSize();
	void SetSize(double);
	BOOL GetStrikethrough();
	void SetStrikethrough(BOOL);
	BOOL GetUnderline();
	void SetUnderline(BOOL);

// Operations
public:
};

/////////////////////////////////////////////////////////////////////////////
// LineObject wrapper class

class LineObject : public COleDispatchDriver
{
// Attributes
public:
	LPDISPATCH GetApplication();
	void SetApplication(LPDISPATCH);
	long GetColor();
	void SetColor(long);
	long GetDestArrowColor();
	void SetDestArrowColor(long);
	short GetDestArrowSize();
	void SetDestArrowSize(short);
	short GetDestArrowStyle();
	void SetDestArrowStyle(short);
	LPDISPATCH GetDestination();
	void SetDestination(LPDISPATCH);
	short GetDestinationDirection();
	void SetDestinationDirection(short);
	LPDISPATCH GetParent();
	void SetParent(LPDISPATCH);
	LPDISPATCH GetSource();
	void SetSource(LPDISPATCH);
	long GetSourceArrowColor();
	void SetSourceArrowColor(long);
	short GetSourceArrowStyle();
	void SetSourceArrowStyle(short);
	short GetSourceArrowSize();
	void SetSourceArrowSize(short);
	short GetSourceDirection();
	void SetSourceDirection(short);
	long GetStemColor();
	void SetStemColor(long);
	short GetStemStyle();
	void SetStemStyle(short);
	short GetStemWidth();
	void SetStemWidth(short);
	short GetType();
	void SetType(short);
	short GetRouting();
	void SetRouting(short);
	short GetCrossoverSize();
	void SetCrossoverSize(short);
	short GetCrossoverStyle();
	void SetCrossoverStyle(short);

// Operations
public:
	BOOL AttachText(LPDISPATCH TextObject, const VARIANT& LineSegment);
	BOOL ReconnectDest(LPDISPATCH ShapeObject, const VARIANT& EnterDirection);
	BOOL ReconnectSource(LPDISPATCH ShapeObject, const VARIANT& ExitDirection);
};

/////////////////////////////////////////////////////////////////////////////
// MasterItems wrapper class

class MasterItems : public COleDispatchDriver
{
// Attributes
public:
	LPDISPATCH GetApplication();
	void SetApplication(LPDISPATCH);
	LPDISPATCH GetChartName();
	void SetChartName(LPDISPATCH);
	BOOL GetChartNameShown();
	void SetChartNameShown(BOOL);
	LPDISPATCH GetDate();
	void SetDate(LPDISPATCH);
	BOOL GetDateShown();
	void SetDateShown(BOOL);
	short GetDateStyle();
	void SetDateStyle(short);
	LPDISPATCH GetLogo();
	void SetLogo(LPDISPATCH);
	BOOL GetLogoShown();
	void SetLogoShown(BOOL);
	LPDISPATCH GetPageNumber();
	void SetPageNumber(LPDISPATCH);
	BOOL GetPageNumberShown();
	void SetPageNumberShown(BOOL);
	LPDISPATCH GetParent();
	void SetParent(LPDISPATCH);
	short GetRange();
	void SetRange(short);
	LPDISPATCH GetText1();
	void SetText1(LPDISPATCH);
	LPDISPATCH GetText2();
	void SetText2(LPDISPATCH);
	BOOL GetText1Shown();
	void SetText1Shown(BOOL);
	BOOL GetText2Shown();
	void SetText2Shown(BOOL);
	LPDISPATCH GetTime();
	void SetTime(LPDISPATCH);
	BOOL GetTimeShown();
	void SetTimeShown(BOOL);
	CString GetLogoPathname();
	void SetLogoPathname(const char*);

// Operations
public:
	void HideAll();
	void ShowAll();
	void UpdateDateAndTime(const VARIANT& Date, const VARIANT& Time);
};

/////////////////////////////////////////////////////////////////////////////
// MenuObject wrapper class

class MenuObject : public COleDispatchDriver
{
// Attributes
public:
	LPDISPATCH GetApplication();
	void SetApplication(LPDISPATCH);
	long GetCount();
	void SetCount(long);
	LPDISPATCH GetParent();
	void SetParent(LPDISPATCH);
	CString GetText();
	void SetText(const char*);
	BOOL GetVisible();
	void SetVisible(BOOL);

// Operations
public:
	LPDISPATCH AppendItem(const char* ItemName);
	void DeleteAll();
	void DeleteItem(LPDISPATCH MenuItem);
	LPDISPATCH InsertItem(const char* ItemName, const VARIANT& PreviousItemOrPos);
	LPDISPATCH GetItem(const VARIANT& ItemTextOrPostion);
};

/////////////////////////////////////////////////////////////////////////////
// MenuItem wrapper class

class MenuItem : public COleDispatchDriver
{
// Attributes
public:
	LPDISPATCH GetApplication();
	void SetApplication(LPDISPATCH);
	BOOL GetChecked();
	void SetChecked(BOOL);
	BOOL GetEnabled();
	void SetEnabled(BOOL);
	LPDISPATCH GetParent();
	void SetParent(LPDISPATCH);
	CString GetText();
	void SetText(const char*);

// Operations
public:
};

/////////////////////////////////////////////////////////////////////////////
// Objects wrapper class

class Objects : public COleDispatchDriver
{
// Attributes
public:
	LPDISPATCH GetApplication();
	void SetApplication(LPDISPATCH);
	long GetCount();
	void SetCount(long);
	LPDISPATCH GetParent();
	void SetParent(LPDISPATCH);

// Operations
public:
	LPDISPATCH Item(long Count);
	LPDISPATCH ItemFromAll();
	LPDISPATCH ItemFromAttachments(LPDISPATCH ObjectWithAttach1, LPDISPATCH ObjectWithAttach2);
	LPDISPATCH ItemFromFieldValue(LPDISPATCH FieldTemplateObject, const VARIANT& Value);
	LPDISPATCH ItemFromLines();
	LPDISPATCH ItemFromShapes();
	LPDISPATCH ItemFromSelection();
	LPDISPATCH ItemFromNumber(const VARIANT& Value);
	LPDISPATCH ItemFromText(const char* Text);
	LPDISPATCH ItemFromUniqueID(long UniqueID);
	void ResetSearch();
};

/////////////////////////////////////////////////////////////////////////////
// Object wrapper class

class Object : public COleDispatchDriver
{
// Attributes
public:
	LPDISPATCH GetApplication();
	void SetApplication(LPDISPATCH);
	double GetBottom();
	void SetBottom(double);
	double GetCenterX();
	void SetCenterX(double);
	double GetCenterY();
	void SetCenterY(double);
	long GetColor();
	void SetColor(long);
	LPDISPATCH GetFieldValues();
	void SetFieldValues(LPDISPATCH);
	LPDISPATCH GetFont();
	void SetFont(LPDISPATCH);
	double GetHeight();
	void SetHeight(double);
	double GetLeft();
	void SetLeft(double);
	LPDISPATCH GetLine();
	void SetLine(LPDISPATCH);
	LPDISPATCH GetOle();
	void SetOle(LPDISPATCH);
	LPDISPATCH GetParent();
	void SetParent(LPDISPATCH);
	double GetRight();
	void SetRight(double);
	BOOL GetSelected();
	void SetSelected(BOOL);
	LPDISPATCH GetShape();
	void SetShape(LPDISPATCH);
	short GetStretchType();
	void SetStretchType(short);
	CString GetText();
	void SetText(const char*);
	CString GetTextLF();
	void SetTextLF(const char*);
	short GetTextAlignment();
	void SetTextAlignment(short);
	LPDISPATCH GetTextBlock();
	void SetTextBlock(LPDISPATCH);
	double GetTop();
	void SetTop(double);
	short GetType();
	void SetType(short);
	long GetUniqueID();
	void SetUniqueID(long);
	BOOL GetValid();
	void SetValid(BOOL);
	double GetWidth();
	void SetWidth(double);
	BOOL GetFlippedVertical();
	void SetFlippedVertical(BOOL);
	BOOL GetFlippedHorizontal();
	void SetFlippedHorizontal(BOOL);
	short GetRotation();
	void SetRotation(short);
	LPDISPATCH GetLine_();
	void SetLine_(LPDISPATCH);

// Operations
public:
	BOOL Clear();
	LPDISPATCH Duplicate();
	void Repaint();
	void RestorePicture();
	void ToBack();
	void ToFront();
	void ApplyDefaults();
	BOOL Clear_();
};

/////////////////////////////////////////////////////////////////////////////
// OLEObject wrapper class

class OLEObject : public COleDispatchDriver
{
// Attributes
public:
	LPDISPATCH GetApplication();
	void SetApplication(LPDISPATCH);
	CString GetObjectType();
	void SetObjectType(const char*);
	LPDISPATCH GetParent();
	void SetParent(LPDISPATCH);

// Operations
public:
	void DoVerb(const VARIANT& Verb);
	void RestorePicture();
};

/////////////////////////////////////////////////////////////////////////////
// PageLayout wrapper class

class PageLayout : public COleDispatchDriver
{
// Attributes
public:
	LPDISPATCH GetApplication();
	void SetApplication(LPDISPATCH);
	double GetHeight();
	void SetHeight(double);
	double GetMarginBottom();
	void SetMarginBottom(double);
	double GetMarginLeft();
	void SetMarginLeft(double);
	double GetMarginRight();
	void SetMarginRight(double);
	double GetMarginTop();
	void SetMarginTop(double);
	short GetOrientation();
	void SetOrientation(short);
	double GetPageHeight();
	void SetPageHeight(double);
	double GetPageWidth();
	void SetPageWidth(double);
	short GetPageOrder();
	void SetPageOrder(short);
	CString GetPaperSize();
	void SetPaperSize(const char*);
	LPDISPATCH GetParent();
	void SetParent(LPDISPATCH);
	BOOL GetPrintBlankPages();
	void SetPrintBlankPages(BOOL);
	double GetWidth();
	void SetWidth(double);

// Operations
public:
};

/////////////////////////////////////////////////////////////////////////////
// Preferences wrapper class

class Preferences : public COleDispatchDriver
{
// Attributes
public:
	short GetAlignToRulers();
	void SetAlignToRulers(short);
	LPDISPATCH GetApplication();
	void SetApplication(LPDISPATCH);
	BOOL GetChannelAlignment();
	void SetChannelAlignment(BOOL);
	double GetLineSpacingX();
	void SetLineSpacingX(double);
	double GetLineSpacingY();
	void SetLineSpacingY(double);
	LPDISPATCH GetParent();
	void SetParent(LPDISPATCH);
	short GetShapeSizing();
	void SetShapeSizing(short);
	BOOL GetShowRulers();
	void SetShowRulers(BOOL);
	BOOL GetSmartShapeSpacing();
	void SetSmartShapeSpacing(BOOL);
	double GetSSSHorizontal();
	void SetSSSHorizontal(double);
	double GetSSSVertical();
	void SetSSSVertical(double);
	BOOL GetTouchAlignment();
	void SetTouchAlignment(BOOL);
	short GetUnits();
	void SetUnits(short);

// Operations
public:
};

/////////////////////////////////////////////////////////////////////////////
// ShapeObject wrapper class

class ShapeObject : public COleDispatchDriver
{
// Attributes
public:
	LPDISPATCH GetApplication();
	void SetApplication(LPDISPATCH);
	long GetBorderColor();
	void SetBorderColor(long);
	short GetBorderStyle();
	void SetBorderStyle(short);
	short GetBorderWidth();
	void SetBorderWidth(short);
	long GetFillColor();
	void SetFillColor(long);
	short GetFillPattern();
	void SetFillPattern(short);
	BOOL GetIsLaunched();
	void SetIsLaunched(BOOL);
	BOOL GetIsLinked();
	void SetIsLinked(BOOL);
	CString GetLaunchCommand();
	void SetLaunchCommand(const char*);
	short GetLaunchFlags();
	void SetLaunchFlags(short);
	CString GetLaunchStartDir();
	void SetLaunchStartDir(const char*);
	CString GetLinkedChartName();
	void SetLinkedChartName(const char*);
	BOOL GetLinkFields();
	void SetLinkFields(BOOL);
	LPDISPATCH GetNoteFont();
	void SetNoteFont(LPDISPATCH);
	CString GetNoteText();
	void SetNoteText(const char*);
	CString GetNoteTextLF();
	void SetNoteTextLF(const char*);
	CString GetNumber();
	void SetNumber(const char*);
	BOOL GetNumberShown();
	void SetNumberShown(BOOL);
	LPDISPATCH GetParent();
	void SetParent(LPDISPATCH);
	long GetShadowColor();
	void SetShadowColor(long);
	short GetShadowOffset();
	void SetShadowOffset(short);
	short GetShadowStyle();
	void SetShadowStyle(short);
	CString GetShapeName();
	void SetShapeName(const char*);

// Operations
public:
	void DeleteLines();
	void FitShapeToText();
	BOOL Launch();
	LPDISPATCH Link();
	void Renumber();
	BOOL ReplaceShape(const VARIANT& ShapeName);
};

/////////////////////////////////////////////////////////////////////////////
// TextBlock wrapper class

class TextBlock : public COleDispatchDriver
{
// Attributes
public:
	LPDISPATCH GetApplication();
	void SetApplication(LPDISPATCH);
	BOOL GetAttachedToLine();
	void SetAttachedToLine(BOOL);
	LPDISPATCH GetParent();
	void SetParent(LPDISPATCH);

// Operations
public:
	void UnattachFromLine();
};

